using View_by_Distance.Shared.Models.Properties;

namespace View_by_Distance.Shared.Models.Stateless;

public interface IMapping
{ // ...

    int TestStatic_GetAreaPermyriad(int faceAreaPermyriad, int height, Models.Location location, int width)
        => GetAreaPermyriad(faceAreaPermyriad, height, location, width);
    static int GetAreaPermyriad(int faceAreaPermyriad, int height, Models.Location location, int width)
        => Mapping.GetAreaPermyriad(faceAreaPermyriad, location.Bottom, height, location.Left, location.Right, location.Top, width);

    int TestStatic_GetAreaPermyriad(int faceAreaPermyriad, int bottom, int height, int left, int right, int top, int width)
        => GetAreaPermyriad(faceAreaPermyriad, bottom, height, left, right, top, width);
    static int GetAreaPermyriad(int faceAreaPermyriad, int bottom, int height, int left, int right, int top, int width)
        => Mapping.GetAreaPermyriad(faceAreaPermyriad, bottom, height, left, right, top, width);

    int TestStatic_GetAreaPermyriad(int faceAreaPermyriad, Models.Location location, OutputResolution outputResolution)
        => GetAreaPermyriad(faceAreaPermyriad, location, outputResolution);
    static int GetAreaPermyriad(int faceAreaPermyriad, Models.Location location, OutputResolution outputResolution)
        => Mapping.GetAreaPermyriad(faceAreaPermyriad, location.Bottom, outputResolution.Height, location.Left, location.Right, location.Top, outputResolution.Width);

    int? TestStatic_GetWholePercentages(ICompareSettings compareSettings, FilePath filePath) =>
        GetWholePercentages(compareSettings, filePath);
    static int? GetWholePercentages(ICompareSettings compareSettings, FilePath filePath) =>
        Mapping.GetWholePercentages(compareSettings, filePath);

}