using System.Collections.ObjectModel;

namespace View_by_Distance.Shared.Models.Stateless;

public interface IWindows
{

    ReadOnlyCollection<string> ConvertAndGetFastForwardMovingPictureExpertsGroupFiles(ResultSettings resultSettings, HttpClient? httpClient, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(HttpClient? httpClient, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(HttpClient httpClient, Uri uri);
    void ConstructProgressBar(int maxTicks, string message);
    void Tick();

}