using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record MinimumYearAndPathCombined(int MinimumYear,
                                         string PathCombined)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, MinimumYearAndPathCombinedSourceGenerationContext.Default.AviDirectory);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(AviDirectory))]
public partial class MinimumYearAndPathCombinedSourceGenerationContext : JsonSerializerContext
{
}