using System.Collections.ObjectModel;

namespace View_by_Distance.Shared.Models.Stateless;

public interface IRename
{

    ReadOnlyCollection<string> ConvertAndGetFastForwardMovingPictureExpertsGroupFiles(ResultSettings resultSettings, FilePath filePath);
    DeterministicHashCode GetDeterministicHashCode(FilePath filePath);
    void ConstructProgressBar(int maxTicks, string message);
    void Tick();

}